# Uses of Class
it.tdlight.jni.TdApi.ChatMembersFilter

## Uses of TdApi.ChatMembersFilter in it.tdlight.jni

Subclasses of TdApi.ChatMembersFilter in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ChatMembersFilterAdministrators`
Returns the owner and administrators.
`static final class`
`TdApi.ChatMembersFilterBanned`
Returns users banned from the chat; can be used only by administrators in a supergroup or in a channel.
`static final class`
`TdApi.ChatMembersFilterBots`
Returns bot members of the chat.
`static final class`
`TdApi.ChatMembersFilterContacts`
Returns contacts of the user.
`static final class`
`TdApi.ChatMembersFilterMembers`
Returns all chat members, including restricted chat members.
`static final class`
`TdApi.ChatMembersFilterMention`
Returns users which can be mentioned in the chat.
`static final class`
`TdApi.ChatMembersFilterRestricted`
Returns users under certain restrictions in the chat; can be used only by administrators in a supergroup.
Fields in it.tdlight.jni declared as TdApi.ChatMembersFilter
Modifier and Type
Field
Description
`TdApi.ChatMembersFilter`
TdApi.SearchChatMembers.`filter`
The type of users to search for; pass null to search among all chat members.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatMembersFilter
Modifier
Constructor
Description
``
`SearchChatMembers(long chatId, String query, int limit, TdApi.ChatMembersFilter filter)`
Searches for a specified query in the first name, last name and username of the members of a specified chat.